GET /v2/notes.json

salesloft.com

Summary: List notes
Operation ID:
Auth: unknown
Description

Fetches multiple note records. The records can be filtered, paged, and sorted according to the respective parameters.

Parameters (10)

associated_with_id (integer, query, optional)

ID of the item with which the note is associated. The associated_with_type must also be present if this parameter is used

associated_with_type (string, query, optional)

Case insensitive type of item with which the note is associated. Value must be one of: person, account

ids (array, query, optional)

IDs of notes to fetch. If a record can't be found, that record won't be returned and your request will be successful

include_paging_counts (boolean, query, optional)

Whether to include total_pages and total_count in the metadata. Defaults to false

limit_paging_counts (boolean, query, optional)

Specifies whether the max limit of 10k records should be applied to pagination counts. Affects the total_count and total_pages data

page (integer, query, optional)

The current page to fetch results from. Defaults to 1

per_page (integer, query, optional)

How many records to show per page in the range [1, 100]. Defaults to 25

sort_by (string, query, optional)

Key to sort on, must be one of: created_at, updated_at. Defaults to updated_at

sort_direction (string, query, optional)

Direction to sort in, must be one of: ASC, DESC. Defaults to DESC

updated_at (array, query, optional)

Equality filters that are applied to the updated_at field. A single filter can be used by itself or combined with other filters to create a range. ---CUSTOM--- {"type":"object","keys":[{"name":"gt","type":"iso8601 string","description":"Returns all matching records that are greater than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"gte","type":"iso8601 string","description":"Returns all matching records that are greater than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lt","type":"iso8601 string","description":"Returns all matching records that are less than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lte","type":"iso8601 string","description":"Returns all matching records that are less than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."}]}

No probe data for this endpoint yet.